CPAN shows v1.036, you must be installing this via some other package manager (PPM?). The version you've installed is not built for the version of perl you have installed. They have to be the same, see rt://92352. To install build the live release against your current version of perl use the following from the command prompt:

cpan pp

If you're working on Windows make life easy for yourself by using strawberry perl, as it ships with a sane build environment, and a bunch of other useful things as standard. To install a C compiler and build tools for ActiveState do:

ppm MinGW

Then install via cpan as mentioned above.


In reply to Re^5: How to convert bunch of perl file + other dependent Input files Into a single executable by marto
in thread How to convert bunch of perl file + other dependent Input files Into a single executable by rockyurock

Title:
Use:  <p> text here (a paragraph) </p>
and:  <code> code here </code>
to format your post; it's "PerlMonks-approved HTML":